local SaltMarshes = ...

-- Register model for stocking asset
SaltMarshes:registerAssetId("models/sacs.fbx/Prefab/sacs","MY_SACS")

SaltMarshes:registerPrefabComponent("models/sacs.fbx/Prefab/sacs", {
	DataType = "COMP_GROUNDED"
})

-- Register image assets
SaltMarshes:registerAssetId("icons/salt.png", "ICON_SALT2")

SaltMarshes:register({
	DataType = "RESOURCE",
	Id = "SALT2",
	ResourceName = "SALT2",
	Icon = "ICON_SALT2",
	ResourceType = "LUXURY_FOOD",
	IsTradable = true,
        ResourceLayoutType = "OPEN_BAGS",
        Prefab = "MY_SACS",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 10 }
})
